package com.emoon.system.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.emoon.common.mybatis.core.mapper.BaseMapperPlus;
import com.emoon.system.domain.SysDictDataDo;
import com.emoon.system.domain.vo.SysDictDataVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 字典表 数据层
 *
 * @author wangkang
 */
@Mapper
public interface SysDictDataMapper extends BaseMapperPlus<SysDictDataDo, SysDictDataVo> {

    /**
     * 根据字典类型查询字典数据列表
     *
     * @param dictType 字典类型
     * @return 符合条件的字典数据列表
     */
    default List<SysDictDataVo> selectDictDataByType(String dictType) {
        return selectVoList(
            new LambdaQueryWrapper<SysDictDataDo>()
                .eq(SysDictDataDo::getDictType, dictType)
                .orderByAsc(SysDictDataDo::getDictSort));
    }
}
